%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		chanorg

Name: vdr-%pname
Version: 0.0.5
Release: alt1

Summary: Channels organizer for VDR
Summary(ru_RU.UTF-8): Редактор списка каналов для VDR
License: GPL
Group: Video
URL: http://www.freewebs.com/sadhome/Plugin/ChanOrg.html
Source0: %name-last.tar.gz
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
This is a channel list editor for VDR. It can move channels, and create, edit, sort 
and delete groups of channels.

%description -l ru_RU.UTF-8
Редактор списка каналов для VDR. Модуль позволяет перемещать каналы, а также создавать,
редактировать, сортировать и удалять группы каналов.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.5-alt1
- vdr-1.3.15

* Fri Oct 22 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.3a-alt2
- vdr-1.3.13 fix

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.3a-alt1
- Initial build
